MD5:
	;Input - HL points to the 8 byte password to generate a MD5 from
	;Output - the MD5 is generated, and stored at appbackupscreen (it is 16 bytes long)
	ld de,paddedmessage
	ld bc,8
	ldir
	;Now we have used up 8 bytes...there are 48 left.
	ex de,hl
	ld a,10000000b
	ld (hl),a
	inc hl
	ld b,47
MD5_PadZeroes:
	ld (hl),0
	inc hl
	djnz MD5_PadZeroes
	;Now append the length, as two 32-bit words
	;This will be 40h,00h,00h,00h,00h,00h,00h,00h
	ld (hl),40h
	ld b,7
	inc hl
MD5_AddZero:
	ld (hl),0
	inc hl
	djnz MD5_AddZero
	;Now initialize the MD buffers
	B_CALL InitializeMD5
	ld bc,64
	ld hl,paddedmessage
	B_CALL GenerateMD5
	ld hl,MD5_Hash
	ld bc,16
	ld de,md5checksum
	ldir
	ret
