Splash_Lockdown:
	in a,(4)
	bit 3,a
	ret nz
	pop hl
Lockdown_Start:
	;Begin lockdown
	ld hl,AppVectors
	B_CALL AppInit
	res battery,(iy+lockdown)
Lockdown_NoNoNo:
	set 7,(iy+28h)
	B_CALL ClrScrnFull
	ld hl,0
	ld (currow),hl
	B_CALL CursorOff
	B_CALL CursorOn
	bit battery,(iy+lockdown)
	jr nz,Lockdown_SkipPowerDown
	B_CALL EnableApd
	ld hl,0101h
	ld (apdSubTimer),hl
Lockdown_SkipPowerDown:
	res monabandon,(iy+monFlags)
	ld hl,enteredpass
	ld (hl),0
	ld de,enteredpass+1
	ld bc,7
	ldir
	ld ix,enteredpass
	xor a
	ld (enteredpasslen),a
Lockdown_GetPasswordLoop:
	res onInterrupt,(iy+onFlags)
	push ix
	B_CALL GetKey
	pop ix
	res apdRunning,(iy+apdFlags)
	cp kEnter
	jr nz,Lockdown_NotEnter
	ld a,(enteredpasslen)
	or a
	jr z,Lockdown_GetPasswordLoop
	jr Lockdown_PasswordDone
Lockdown_NotEnter:
	ld (ix),a
	inc ix
	ld a,'*'
	B_CALL PutC
	ld a,(enteredpasslen)
	inc a
	ld (enteredpasslen),a
	cp 8
	jr nz,Lockdown_GetPasswordLoop
Lockdown_PasswordDone:
	call LoadRealPassword
	ld hl,md5checksum
	ld de,md5checksum2
	ld bc,16
	ldir
	ld hl,enteredpass
	call MD5
	ld hl,md5checksum
	ld de,md5checksum2
	ld b,16
	call CompareStrings
	res battery,(iy+lockdown)
	jp nz,Lockdown_NoNoNo
	;Password successful
	B_CALL ReloadAppEntryVecs
	B_CALL CursorOff
	res 7,(iy+28h)
	jp AppStart
